Hello,
Ive loaded a line-based family inside a generic model template. I
m trying to create an instance by a curve, but its not working. It returns null. I already have reinstalled Dynamo and Clockwork. It worked in the project environment. Can you give an alternative on how to create the geometry without using the Clockwork
s node?
The problem is that both nodes, FamilyInstance.ByLine from Archilab and FamilyInstance.ByCurve from Clockwork, use the
Document.NewFamilyInstance (Curve, FamilySymbol, Level, StructuralType)
method
and it works only in a project environment.
There are other methods in the RevitAPI, like
FamilyItemFactory.NewFamilyInstance(Face, Line, FamilySymbol)
FamilyItemFactory.NewFamilyInstance(Reference, Line, FamilySymbol)
that should work in the family editor, but you need a face instead of a level, and I don’t know if some nodes are providing it.
In this case you would need a custom Python node.
Thank you for the information! As Im not familiar at all with the API, can you suggest an alternative how to make this geometry inside a family environment? It
s a simple extrusion, but i need to keep the family parameters Diamanat.rfa (312 KB)
Help me to understand, can’t you simply do it with Revit, as a nested family?
The only reason to do it with Dynamo could be because, let’s say, you have a family with thousands of lines, and you want to place a nested family for each line.
Yes, This is exactly the case. Also the length of the lines is calculated in dynamo.